Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1531613 - New package: python-networking-generic-switch
Summary: New package: python-networking-generic-switch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2018-01-05 16:25 UTC by Dmitry Tantsur
Modified: 2018-01-23 13:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-23 13:48:09 UTC
jpena: rdo-review+


Attachments (Terms of Use)

Description Dmitry Tantsur 2018-01-05 16:25:38 UTC
Package Name: python-networking-generic-switch
Git URL: https://git.openstack.org/cgit/openstack/networking-generic-switch
Description: Pluggable Modular Layer 2 Neutron Mechanism driver implementing functionality required for use-cases like OpenStack Ironic multi-tenancy mode.

Comment 1 Dmitry Tantsur 2018-01-05 16:32:27 UTC
Initial rdoinfo addition: https://review.rdoproject.org/r/#/c/11193/

Comment 2 Alfredo Moralejo 2018-01-09 09:17:44 UTC
licensecheck output:

$ licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* UNKNOWN
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./devstack/exercise.py: Apache (v2.0)
./devstack/exercise.sh: *No copyright* UNKNOWN
./devstack/plugin.sh: *No copyright* UNKNOWN
./devstack/settings: *No copyright* UNKNOWN
./networking_generic_switch/_i18n.py: *No copyright* Apache (v2.0)
./networking_generic_switch/config.py: Apache (v2.0)
./networking_generic_switch/exceptions.py: Apache (v2.0)
./networking_generic_switch/generic_switch_mech.py: Apache (v2.0)
./networking_generic_switch/locking.py: Apache (v2.0)
./tempest_plugin/README.rst: *No copyright* UNKNOWN
./tempest_plugin/config.py: Apache (v2.0)
./tempest_plugin/plugin.py: Apache (v2.0)
./tools/flake8wrap.sh: *No copyright* UNKNOWN
./tools/run_bashate.sh: *No copyright* Apache (v2.0)
./tools/tox_install.sh: *No copyright* UNKNOWN
./zuul.d/legacy-networking-generic-switch-jobs.yaml: *No copyright* UNKNOWN
./zuul.d/project.yaml: *No copyright* UNKNOWN
./devstack/upgrade/resources.sh: *No copyright* Apache (v2.0)
./devstack/upgrade/settings: *No copyright* UNKNOWN
./devstack/upgrade/upgrade.sh: *No copyright* UNKNOWN
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./networking_generic_switch/devices/__init__.py: Apache (v2.0)
./networking_generic_switch/devices/utils.py: Apache (v2.0)
./doc/source/dev/dev-quickstart.rst: *No copyright* UNKNOWN
./doc/source/include/configure-neutron.rst: *No copyright* UNKNOWN
./networking_generic_switch/devices/netmiko_devices/__init__.py: Apache (v2.0)
./networking_generic_switch/devices/netmiko_devices/arista.py: Apache (v2.0)
./networking_generic_switch/devices/netmiko_devices/brocade.py: Apache (v2.0)
./networking_generic_switch/devices/netmiko_devices/cisco.py: Apache (v2.0)
./networking_generic_switch/devices/netmiko_devices/cisco300.py: Apache (v2.0)
./networking_generic_switch/devices/netmiko_devices/dell.py: Apache (v2.0)
./networking_generic_switch/devices/netmiko_devices/huawei.py: Apache (v2.0)
./networking_generic_switch/devices/netmiko_devices/huawei_vrpv8.py: Apache (v2.0)
./networking_generic_switch/devices/netmiko_devices/ovs.py: Apache (v2.0)
./networking_generic_switch/tests/unit/test_config.py: Apache (v2.0)
./networking_generic_switch/tests/unit/test_devices.py: Apache (v2.0)
./networking_generic_switch/tests/unit/test_generic_switch_mech.py: Apache (v2.0)
./networking_generic_switch/tests/unit/test_locking.py: Apache (v2.0)
./playbooks/legacy/networking-generic-switch-tempest-dsvm-dlm/post.yaml: *No copyright* UNKNOWN
./playbooks/legacy/networking-generic-switch-tempest-dsvm-dlm/run.yaml: *No copyright* UNKNOWN
./tempest_plugin/tests/common/ovs_lib.py: Apache (v2.0)
./tempest_plugin/tests/scenario/test_ngs_basic_ops.py: Apache (v2.0)
./etc/neutron/plugins/ml2/ml2_conf_genericswitch.ini.sample: *No copyright* UNKNOWN
./networking_generic_switch/tests/unit/devices/test_utils.py: Apache (v2.0)
./networking_generic_switch/tests/unit/netmiko/test_arista_eos.py: Apache (v2.0)
./networking_generic_switch/tests/unit/netmiko/test_brocade_fastiron.py: Apache (v2.0)
./networking_generic_switch/tests/unit/netmiko/test_cisco_300.py: Apache (v2.0)
./networking_generic_switch/tests/unit/netmiko/test_cisco_ios.py: Apache (v2.0)
./networking_generic_switch/tests/unit/netmiko/test_dell.py: Apache (v2.0)
./networking_generic_switch/tests/unit/netmiko/test_huawei.py: Apache (v2.0)
./networking_generic_switch/tests/unit/netmiko/test_huawei_vrpv8.py: Apache (v2.0)
./networking_generic_switch/tests/unit/netmiko/test_netmiko_base.py: Apache (v2.0)
./networking_generic_switch/tests/unit/netmiko/test_ovs_linux.py: Apache (v2.0)


License is correct: Apache v2.0

Comment 5 Javier Peña 2018-01-10 10:49:13 UTC
Review notes:

- The source0 notes are expected, since the SRPM was generated by DLRN.
- The same applies to the note about a %define needing justification.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 36 files have unknown license. Detailed output of
     licensecheck in /tmp/python-networking-generic-switch/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -networking-generic-switch , python2-networking-generic-switch-tests ,
     python-networking-generic-switch-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.4.1.dev41
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-networking-generic-switch-0.4.1-0.20180109181042.e4ff2e4.el7.centos.noarch.rpm
          python2-networking-generic-switch-tests-0.4.1-0.20180109181042.e4ff2e4.el7.centos.noarch.rpm
          python-networking-generic-switch-doc-0.4.1-0.20180109181042.e4ff2e4.el7.centos.noarch.rpm
          python-networking-generic-switch-0.4.1-0.20180109181042.e4ff2e4.el7.centos.src.rpm
python2-networking-generic-switch.noarch: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
python2-networking-generic-switch.noarch: W: spelling-error %description -l en_US Pluggable -> Plug gable, Plug-gable, Plugged
python2-networking-generic-switch.noarch: E: no-changelogname-tag
python2-networking-generic-switch.noarch: W: no-documentation
python2-networking-generic-switch-tests.noarch: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
python2-networking-generic-switch-tests.noarch: W: spelling-error %description -l en_US Pluggable -> Plug gable, Plug-gable, Plugged
python2-networking-generic-switch-tests.noarch: E: no-changelogname-tag
python2-networking-generic-switch-tests.noarch: W: no-documentation
python-networking-generic-switch-doc.noarch: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
python-networking-generic-switch-doc.noarch: W: spelling-error %description -l en_US Pluggable -> Plug gable, Plug-gable, Plugged
python-networking-generic-switch-doc.noarch: E: no-changelogname-tag
python-networking-generic-switch.src: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
python-networking-generic-switch.src: W: spelling-error %description -l en_US Pluggable -> Plug gable, Plug-gable, Plugged
python-networking-generic-switch.src: E: no-changelogname-tag
python-networking-generic-switch.src: W: invalid-url Source0: networking-generic-switch-0.4.1.dev41-0.20180109181042.e4ff2e4.tar.gz
4 packages and 0 specfiles checked; 4 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
python2-networking-generic-switch.noarch: E: no-changelogname-tag
python2-networking-generic-switch.noarch: W: invalid-url URL: https://pypi.python.org/pypi/networking-generic-switch <urlopen error [Errno -2] Name or service not known>
python2-networking-generic-switch.noarch: W: no-documentation
python-networking-generic-switch-doc.noarch: E: no-changelogname-tag
python-networking-generic-switch-doc.noarch: W: invalid-url URL: https://pypi.python.org/pypi/networking-generic-switch <urlopen error [Errno -2] Name or service not known>
python2-networking-generic-switch-tests.noarch: E: no-changelogname-tag
python2-networking-generic-switch-tests.noarch: W: invalid-url URL: https://pypi.python.org/pypi/networking-generic-switch <urlopen error [Errno -2] Name or service not known>
python2-networking-generic-switch-tests.noarch: W: no-documentation
3 packages and 0 specfiles checked; 3 errors, 5 warnings.



Requires
--------
python2-networking-generic-switch (rpmlib, GLIBC filtered):
    python(abi)
    python-netmiko
    python-neutron-lib
    python-oslo-config
    python-oslo-i18n
    python-oslo-log
    python-six
    python-stevedore
    python-tenacity
    python-tooz

python-networking-generic-switch-doc (rpmlib, GLIBC filtered):

python2-networking-generic-switch-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-fixtures
    python-mock
    python-neutron-tests
    python2-networking-generic-switch



Provides
--------
python2-networking-generic-switch:
    python-networking-generic-switch
    python2-networking-generic-switch

python-networking-generic-switch-doc:
    python-networking-generic-switch-doc

python2-networking-generic-switch-tests:
    python2-networking-generic-switch-tests



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n python-networking-generic-switch -m dlrn -r
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED.

Comment 6 Javier Peña 2018-01-23 13:48:09 UTC
Package is already in RDO Trunk, so closing bug.


Note You need to log in before you can comment on or make changes to this bug.